Index: /code/branches/cegui0.8/data/gui/scripts/AudioMenu.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/AudioMenu.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/AudioMenu.lua	(revision 11124)
@@ -37,5 +37,5 @@
     for k,v in pairs(themeList) do
         item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         CEGUI.toListbox(listboxwindow):addItem(item)
     end
Index: /code/branches/cegui0.8/data/gui/scripts/DockingDialog.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/DockingDialog.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/DockingDialog.lua	(revision 11124)
@@ -42,5 +42,5 @@
     for k in pairs(P.docks) do
         local item = CEGUI.createListboxTextItem("Dock " .. k)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         listbox:addItem(item)
         if k == 1 then
Index: /code/branches/cegui0.8/data/gui/scripts/GameplayMenu.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/GameplayMenu.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/GameplayMenu.lua	(revision 11124)
@@ -11,5 +11,5 @@
     for k,v in pairs(themeList) do
         item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         CEGUI.toCombobox(dropdown):addItem(item)
     end
Index: /code/branches/cegui0.8/data/gui/scripts/GraphicsMenu.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/GraphicsMenu.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/GraphicsMenu.lua	(revision 11124)
@@ -39,5 +39,5 @@
     for k,v in pairs(P.resolutionList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         resolutionCombobox:addItem(item)
     end
@@ -49,5 +49,5 @@
     for k,v in pairs(P.schemeList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         themeCombobox:addItem(item)
     end
@@ -59,5 +59,5 @@
     for k,v in pairs(P.fsaaList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         fsaaCombobox:addItem(item)
     end
@@ -69,5 +69,5 @@
     for k,v in pairs(P.particleLodList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         particleLodCombobox:addItem(item)
     end
Index: /code/branches/cegui0.8/data/gui/scripts/HostMenu.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/HostMenu.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/HostMenu.lua	(revision 11124)
@@ -73,5 +73,5 @@
     for k,v in pairs(P.levelList) do
         local item = CEGUI.createListboxTextItem(v:getName())
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         listbox:addItem(item)
         if v:getXMLFilename() == preselect then
Index: /code/branches/cegui0.8/data/gui/scripts/MultiplayerMenu.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/MultiplayerMenu.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/MultiplayerMenu.lua	(revision 11124)
@@ -115,5 +115,5 @@
             item:setID(index)
             index = index + 1
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             CEGUI.toListbox(listbox):addItem(item)
         end
@@ -152,5 +152,5 @@
             item:setID(index)
             index = index + 1
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             CEGUI.toListbox(listbox):addItem(item)
         end
Index: /code/branches/cegui0.8/data/gui/scripts/PickupInventory.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/PickupInventory.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/PickupInventory.lua	(revision 11124)
@@ -117,5 +117,5 @@
 
     local image = winMgr:createWindow("MenuWidgets/StaticImage", name .. "/Image")
-    image:setProperty("Image", "set:PickupInventory image:" .. representation:getInventoryRepresentation())
+    image:setProperty("Image", "PickupInventory/" .. representation:getInventoryRepresentation())
     image:setProperty("BackgroundEnabled", "set:False")
     image:setProperty("FrameEnabled", "set:True")
@@ -218,5 +218,5 @@
     
     local image = winMgr:createWindow("MenuWidgets/StaticImage", name .. "/Image")
-    image:setProperty("Image", "set:PickupInventory image:" .. representation:getInventoryRepresentation())
+    image:setProperty("Image", "PickupInventory/" .. representation:getInventoryRepresentation())
     image:setProperty("BackgroundEnabled", "set:False")
     image:setProperty("FrameEnabled", "set:True")
Index: /code/branches/cegui0.8/data/gui/scripts/QuestGUI.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/QuestGUI.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/QuestGUI.lua	(revision 11124)
@@ -104,5 +104,5 @@
     if P.showActive == quest:isActive(P.player) then
         local item = CEGUI.createListboxTextItem(P.questManager:getDescription(quest):getTitle())
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         list:addItem(item)
         table.insert(P.quests, quest)
@@ -141,5 +141,5 @@
             local quest = P.questManager:getSubQuest(quest, P.player, i)
             local item = CEGUI.createListboxTextItem(P.questManager:getDescription(quest):getTitle())
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             list:addItem(item)
             table.insert(P.subquests, quest)
Index: /code/branches/cegui0.8/data/gui/scripts/ShipSelectionMenu.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/ShipSelectionMenu.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/ShipSelectionMenu.lua	(revision 11124)
@@ -34,5 +34,5 @@
         --if tag == nil or v:hasStartingShip(tag) then
             local item = CEGUI.createListboxTextItem(v)
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             listbox:addItem(item)
             table.insert(tabIndexes, k)
@@ -88,5 +88,5 @@
         --local imageName = selectedlevel:getScreenshot()
         -- set the screenshot and the description for the selected level
-        --levelImage:setProperty("Image", "set:"..levelXMLFilename..imageName.." image:full_image")
+        --levelImage:setProperty("Image", levelXMLFilename..imageName.."/full_image")
         --levelDescription:setText(level:getDescription())
         -- only enable config button for "gametype" levels
Index: /code/branches/cegui0.8/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/SingleplayerMenu.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/SingleplayerMenu.lua	(revision 11124)
@@ -87,5 +87,5 @@
         if tag == nil or v:hasTag(tag) then
             local item = CEGUI.createListboxTextItem(v:getName())
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             listbox:addItem(item)
             table.insert(tabIndexes, k)
@@ -130,5 +130,5 @@
         local imageName = level:getScreenshot()
         -- set the screenshot and the description for the selected level
-        levelImage:setProperty("Image", "set:"..levelXMLFilename..imageName.." image:full_image")
+        levelImage:setProperty("Image", levelXMLFilename..imageName.."/full_image")
         levelDescription:setText(level:getDescription())
         -- only enable config button for "gametype" levels
Index: /code/branches/cegui0.8/data/gui/scripts/UndockingDialog.lua
===================================================================
--- /code/branches/cegui0.8/data/gui/scripts/UndockingDialog.lua	(revision 11123)
+++ /code/branches/cegui0.8/data/gui/scripts/UndockingDialog.lua	(revision 11124)
@@ -42,5 +42,5 @@
     for k in pairs(P.docks) do
         local item = CEGUI.createListboxTextItem("Dock " .. k)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         listbox:addItem(item)
         if k == 1 then