Index: /code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.cc
===================================================================
--- /code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.cc	(revision 11142)
+++ /code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.cc	(revision 11142)
@@ -0,0 +1,86 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Martin Polak
+ *   Co-authors:
+ *      simonmie
+ *
+ */
+
+/**
+    @file Discharger.cc
+    @brief Definition of the Discharger class.
+*/
+
+#include "Discharger.h"
+
+#include "core/CoreIncludes.h"
+
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
+#include "worldentities/pawns/Pawn.h"
+
+#include "weapons/projectiles/BillboardProjectile.h"
+
+namespace orxonox
+{
+    RegisterClass(Discharger);
+
+    Discharger::Discharger(Context* context) : WeaponMode(context)
+    {
+        RegisterObject(Discharger);
+
+        this->reloadTime_ = 0.1f;
+        this->damage_ = 9000.1f;
+        this->speed_ = 9000.1f;
+
+        this->setMunitionName("dEnergy");
+        this->setFireSound("sounds/Weapon_Discharger.ogg");
+        this->setReloadSound("sounds/Reload_Discharger.ogg", 0.8);
+
+        hudImageString_ = "Orxonox/WSHUD_WM_LaserFire";
+    }
+
+    /**
+    @brief
+        Fires the weapon. Creates a projectile and fires it.
+    */
+    void Discharger::fire()
+    {
+
+    }
+    void Discharger::unfire()
+    {
+        BillboardProjectile* projectile = new BillboardProjectile(this->getContext());
+
+        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
+        projectile->setOrientation(this->getMuzzleOrientation());
+        projectile->setPosition(this->getMuzzlePosition());
+        projectile->setVelocity(this->getMuzzleDirection() * this->speed_);
+
+        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        projectile->setDamage(this->getDamage());
+        projectile->setShieldDamage(this->getShieldDamage());
+        projectile->setHealthDamage(this->getHealthDamage());
+    }
+}
Index: /code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.h
===================================================================
--- /code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.h	(revision 11142)
+++ /code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.h	(revision 11142)
@@ -0,0 +1,64 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Martin Polak
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+     @file Discharger.cc
+     @brief Definition of the Discharger class.
+*/
+
+#ifndef _Discharger_H__
+#define _Discharger_H__
+
+#include "weapons/WeaponsPrereqs.h"
+#include "weaponsystem/WeaponMode.h"
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        Charges energy upon releasing it with a powerful discharge
+    @author
+        Johannes Sager
+    @ingroup WeaponsWeaponModes
+    */
+    class _WeaponsExport Discharger : public WeaponMode
+    {
+        public:
+            Discharger(Context* context);
+            virtual ~Discharger() {}
+
+            virtual void fire() override;
+            virtual void unfire() override;
+
+        private:
+            float speed_; //!< The speed of the fired projectile.
+    };
+}
+
+#endif /* _Discharger_H__ */
Index: /code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- /code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.cc	(revision 11141)
+++ /code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.cc	(revision 11142)
@@ -348,4 +348,5 @@
         if (NewHumanController::localController_s)
             NewHumanController::localController_s->doUnfire();
+        orxout() << "unfire" << endl;
     }
 
Index: /code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.h
===================================================================
--- /code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.h	(revision 11141)
+++ /code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.h	(revision 11142)
@@ -45,5 +45,7 @@
     /**
     @brief
-        A WeaponMode defines how a Weapon is used. It specifies what kind of @ref orxonox::Projectile is created when you fire it, how much time it takes to reload, what sound you hear while shooting, how much damage the projectile deals to a target, ...
+        A WeaponMode defines how a Weapon is used. It specifies what kind of
+        @ref orxonox::Projectile is created when you fire it, how much time it takes to reload,
+        what sound you hear while shooting, how much damage the projectile deals to a target, ...
     */
     class _OrxonoxExport WeaponMode : public BaseObject