Index: /code/branches/bindermFS16/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- /code/branches/bindermFS16/data/gui/scripts/SingleplayerMenu.lua	(revision 11148)
+++ /code/branches/bindermFS16/data/gui/scripts/SingleplayerMenu.lua	(revision 11149)
@@ -172,6 +172,9 @@
 
 function P.CampaignButton_clicked(e)
+    test()
     showMenuSheet("CampaignMenu", true)
 end
-
+function P.test()
+    orxonox.execute("test")
+end
 return P
Index: /code/branches/bindermFS16/src/orxonox/overlays/CMakeLists.txt
===================================================================
--- /code/branches/bindermFS16/src/orxonox/overlays/CMakeLists.txt	(revision 11148)
+++ /code/branches/bindermFS16/src/orxonox/overlays/CMakeLists.txt	(revision 11149)
@@ -3,4 +3,5 @@
   OrxonoxOverlay.cc
   OverlayGroup.cc
+  CampaignMenu.cc
 
 #COMPILATION_BEGIN OverlayCompilation.cc
Index: /code/branches/bindermFS16/src/orxonox/overlays/CampaignMenu.cc
===================================================================
--- /code/branches/bindermFS16/src/orxonox/overlays/CampaignMenu.cc	(revision 11149)
+++ /code/branches/bindermFS16/src/orxonox/overlays/CampaignMenu.cc	(revision 11149)
@@ -0,0 +1,59 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Matthias Binder
+ *
+ */
+
+
+#include "CampaignMenu.h"
+
+#include "core/CoreIncludes.h"
+#include "core/GUIManager.h"
+#include "core/XMLPort.h"
+#include "core/GameMode.h"
+#include "command/ConsoleCommandIncludes.h"
+
+
+
+namespace orxonox
+{
+    SetConsoleCommand("test", &test);
+    RegisterClass(CampaignMenu);
+
+    CampaignMenu::CampaignMenu(context* context)
+        :BaseObject(context)
+
+    {
+        RegisterObject(CampaignMenu);
+    }
+
+    CampaignMenu::~CampaignMenu()
+    {
+    }
+
+    void CampaignMenu::test()
+    {
+        
+    }
+
+}
Index: /code/branches/bindermFS16/src/orxonox/overlays/CampaignMenu.h
===================================================================
--- /code/branches/bindermFS16/src/orxonox/overlays/CampaignMenu.h	(revision 11149)
+++ /code/branches/bindermFS16/src/orxonox/overlays/CampaignMenu.h	(revision 11149)
@@ -0,0 +1,49 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Matthias Binder
+ *
+ */
+
+#ifndef _CampaignMenu_H__
+#define _CampaignMenu_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include <string>
+#include "core/BaseObject.h"
+
+namespace orxonox
+{
+class _OrxonoxExport CampaignMenu : public BaseObject
+    {
+    public:
+        CampaignMenu(Context* context);
+        ~CampaignMenu();
+        void test();
+    };
+
+
+
+}
+
+#endif /* _CampaignMenu_H__ */