Index: code/branches/tgidronFS16/data/levels/Hover.oxw
===================================================================
--- code/branches/tgidronFS16/data/levels/Hover.oxw	(revision 11151)
+++ code/branches/tgidronFS16/data/levels/Hover.oxw	(revision 11163)
@@ -25,4 +25,29 @@
 ?>
 
+<Template name=destroyhoverpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="Asterisk" scale=0.65 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<PickupRepresentation
+    name = "destroyhover"
+    pickupName = "Destroy Carrier Pickup"
+    pickupDescription = "destroys you."
+    spawnerTemplate = "destroyhoverpickupRepresentation"
+    inventoryRepresentation = "destroyCarrierPickup"
+/>
+
+
 <Level
 plugins = hover
@@ -33,4 +58,7 @@
   </templates>
   <?lua include("includes/notifications.oxi") ?>
+
+
+
 
   <Scene
Index: code/branches/tgidronFS16/data/levels/templates/spaceshipHover.oxt
===================================================================
--- code/branches/tgidronFS16/data/levels/templates/spaceshipHover.oxt	(revision 11151)
+++ code/branches/tgidronFS16/data/levels/templates/spaceshipHover.oxt	(revision 11163)
@@ -20,7 +20,7 @@
    primaryThrust     = 100
    auxilaryThrust    = 1
-   rotationThrust    = 30
+   rotationThrust    = 40
 
-   jumpBoost = 90
+   jumpBoost = 120
 
    lift = 1;
Index: code/branches/tgidronFS16/data/overlays/HoverHUD.oxo
===================================================================
--- code/branches/tgidronFS16/data/overlays/HoverHUD.oxo	(revision 11151)
+++ code/branches/tgidronFS16/data/overlays/HoverHUD.oxo	(revision 11163)
@@ -45,5 +45,5 @@
     </HUDHealthBar>
 
-
+    
     <HUDNavigation
      name          = "Navigation"
Index: code/branches/tgidronFS16/src/modules/hover/FlagHUD.cc
===================================================================
--- code/branches/tgidronFS16/src/modules/hover/FlagHUD.cc	(revision 11151)
+++ code/branches/tgidronFS16/src/modules/hover/FlagHUD.cc	(revision 11163)
@@ -54,6 +54,6 @@
         this->overlay_->add2D(this->panel_);
 
-        this->flagCount_ = 1;
-        setFlagCount(1);
+        this->flagCount_ = 5;
+        setFlagCount(5);
     }
 
Index: code/branches/tgidronFS16/src/modules/hover/Hover.cc
===================================================================
--- code/branches/tgidronFS16/src/modules/hover/Hover.cc	(revision 11151)
+++ code/branches/tgidronFS16/src/modules/hover/Hover.cc	(revision 11163)
@@ -41,4 +41,7 @@
 #include "gamestates/GSLevel.h"
 
+#include "pickup/PickupSpawner.h"
+#include "pickup/Pickup.h"
+
 namespace orxonox
 {
@@ -61,5 +64,4 @@
         this->setHUDTemplate("HoverHUD");
 
-        
     }
 
@@ -89,4 +91,6 @@
             }
 
+
+
             //Generate inner Walls according to levelcode
             for(int y=0; y<numCells; y++){
@@ -103,9 +107,19 @@
 
             //Generate 5 flags randomly (test only 1 flag)
-            for ( int i = 0; i < 1; i++ )
+            for ( int i = 0; i < 5; i++ )
             {
                 HoverFlag* flag = new HoverFlag(origin_->getContext());
                 flag->init(rand()%numCells, rand()%numCells, cellSize);
                 flags_.push_back(flag);
+            }
+            
+
+            //Generate 10 Pickups randomly
+            for (int i = 0; i<10; i++)
+            {
+                PickupSpawner* pickup = new PickupSpawner(origin_->getContext());
+                //PickupSpawner(this->getContext());
+                //pickup->createDroppedPickup(this->getContext(), pickup , this, 10);
+                pickups_.push_back(pickup);
             }
 
@@ -117,5 +131,5 @@
     void Hover::startLevel(){
         //Generate 5 flags randomly (test only 1 flag)
-            for ( int i = 0; i < 1; i++ )
+            for ( int i = 0; i < 5; i++ )
             {
                 HoverFlag* flag = new HoverFlag(origin_->getContext());
Index: code/branches/tgidronFS16/src/modules/hover/Hover.h
===================================================================
--- code/branches/tgidronFS16/src/modules/hover/Hover.h	(revision 11151)
+++ code/branches/tgidronFS16/src/modules/hover/Hover.h	(revision 11163)
@@ -42,4 +42,5 @@
 #include "gametypes/Gametype.h"
 #include "HoverOrigin.h"
+#include "pickup/PickupSpawner.h"
 
 namespace orxonox
@@ -61,4 +62,5 @@
 
 
+
             inline int getNumberOfFlags() const
                 { return this->numberOfFlags_; }
@@ -76,4 +78,6 @@
             int cellHeight;
             int numCells;
+
+            std::vector<PickupSpawner*> pickups_;
     };
 }