Index: code/branches/sagerjFS16/data/levels/includes/weaponSettingsEscort.oxi
===================================================================
--- code/branches/sagerjFS16/data/levels/includes/weaponSettingsEscort.oxi	(revision 11165)
+++ code/branches/sagerjFS16/data/levels/includes/weaponSettingsEscort.oxi	(revision 11166)
@@ -1,9 +1,9 @@
     <weaponslots>
       <WeaponSlot position="-9.2,2,-13" />
-      <WeaponSlot position=" 9.2,2,-13" />
+
     </weaponslots>
     <weaponsets>
       <WeaponSet firemode=0 />
-      <WeaponSet firemode=1 />
+
     </weaponsets>
     <weaponpacks>
@@ -11,18 +11,12 @@
         <links>
           <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" />
+          <Discharger mode=0 munitionpershot=1 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh" />
         </Weapon>
-        <Weapon>
-          <HsW01 mode=0 munitionpershot=1 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh" />
-        </Weapon>
+   
       </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-      </WeaponPack>
+
     </weaponpacks>
     <munition>
Index: code/branches/sagerjFS16/src/modules/weapons/WeaponsPrereqs.h
===================================================================
--- code/branches/sagerjFS16/src/modules/weapons/WeaponsPrereqs.h	(revision 11165)
+++ code/branches/sagerjFS16/src/modules/weapons/WeaponsPrereqs.h	(revision 11166)
@@ -107,4 +107,5 @@
     class SimpleRocketFire;
     class GravityBombFire;
+    class Discharger;
 }
 
Index: code/branches/sagerjFS16/src/modules/weapons/weaponmodes/CMakeLists.txt
===================================================================
--- code/branches/sagerjFS16/src/modules/weapons/weaponmodes/CMakeLists.txt	(revision 11165)
+++ code/branches/sagerjFS16/src/modules/weapons/weaponmodes/CMakeLists.txt	(revision 11166)
@@ -13,3 +13,4 @@
   GravityBombFire.cc
   MineGun.cc
+  Discharger.cc
 )
Index: code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.cc
===================================================================
--- code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.cc	(revision 11165)
+++ code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.cc	(revision 11166)
@@ -51,39 +51,23 @@
         RegisterObject(Discharger);
 
-        this->reloadTime_ = 0.1f;
-        this->damage_ = 9000.1f*loaded_;
-        this->speed_ = 9000.1f*loaded_;
-
-        this->setMunitionName("dEnergy");
-        this->setFireSound("sounds/Weapon_Discharger.ogg");
-        this->setReloadSound("sounds/Reload_Discharger.ogg", 0.8);
+        this->setMunitionName("LaserMunition");
 
         hudImageString_ = "Orxonox/WSHUD_WM_LaserFire";
     }
 
-    /**
-    @brief
-        Fires the weapon. Creates a projectile and fires it.
-    */
     void Discharger::fire()
     {
-        /*BillboardProjectile* projectile = new BillboardProjectile(this->getContext());
-
-        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
-        projectile->setOrientation(this->getMuzzleOrientation());
-        projectile->setPosition(this->getMuzzlePosition());
-        projectile->setVelocity(this->getMuzzleDirection() * this->speed_);
-
-        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
-        projectile->setDamage(this->getDamage());
-        projectile->setShieldDamage(this->getShieldDamage());
-        projectile->setHealthDamage(this->getHealthDamage());*/
-        extern unsigned int beginLoad_ = time;
+        orxout() << "fire dis " << endl;
     }
-    void Discharger::release()
+    
+    bool Discharger::fire(float* reloadTime)
     {
-        extern unsigned int endLoad_ = time;
-        extern unsigned int loaded_ = endLoad_ - beginLoad_;
-
+        orxout() << "fire Discharger " << endl;
+        return false;
+    }
+    bool Discharger::release(float* reloadTime)
+    {
+        orxout() << "release Discharger " << endl;
+        return false;
     }
 }
Index: code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.h
===================================================================
--- code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.h	(revision 11165)
+++ code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.h	(revision 11166)
@@ -55,11 +55,8 @@
 
             virtual void fire() override;
-            virtual void release() override;
+            virtual bool fire(float* reloadTime) override;
+            virtual bool release(float* reloadTime) override;
 
         private:
-            float speed_; //!< The speed of the fired projectile.
-            float loaded_; // The time how long the weapon charged
-            float beginLoad_;
-            float endLoad_;
     };
 }
Index: code/branches/sagerjFS16/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/controllers/HumanController.cc	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/controllers/HumanController.cc	(revision 11166)
@@ -159,4 +159,5 @@
     void HumanController::fire(unsigned int firemode)
     {
+        orxout() << "fire hc " << firemode << endl;
         if (HumanController::localController_s)
             HumanController::localController_s->doFire(firemode);
@@ -165,4 +166,5 @@
     void HumanController::doFire(unsigned int firemode)
     {
+        orxout() << "do fire hc " << firemode << endl;
         if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
         {
@@ -178,5 +180,5 @@
     void HumanController::release(unsigned int firemode)
     {
-        orxout() << "HumanController " << firemode << endl;
+        orxout() << "release hc " << firemode << endl;
         if (HumanController::localController_s)
             HumanController::localController_s->doRelease(firemode);
@@ -185,4 +187,5 @@
     void HumanController::doRelease(unsigned int firemode)
     {
+        orxout() << "do release hc " << firemode << endl;
         if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
         {
Index: code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.cc	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.cc	(revision 11166)
@@ -54,5 +54,4 @@
     SetConsoleCommand("NewHumanController", "accelerate", &NewHumanController::accelerate).keybindMode(KeybindMode::OnPress);
     SetConsoleCommand("NewHumanController", "decelerate", &NewHumanController::decelerate).keybindMode(KeybindMode::OnPress);
-    //SetConsoleCommand("NewHumanController", "release",    &NewHumanController::release   ).keybindMode(KeybindMode::OnRelease).addShortcut();
 
     RegisterUnloadableClass(NewHumanController);
@@ -286,4 +285,5 @@
         if (firemode == 1 && this->controlMode_ == 1)
         {
+            orxout() << "do fire nhc if " << firemode << endl;
             //unlocked steering, steer on right mouse click
             HumanController::yaw(Vector2(this->currentYaw_, 0));
@@ -291,18 +291,13 @@
         }
         else
+        {
+            orxout() << "do fire nhc else " << firemode << endl;
             HumanController::doFire(firemode); //call for formationflight
-    }
-
-    /*void NewHumanController::release(unsigned int firemode)
-    {
-        if (NewHumanController::localController_s)
-            NewHumanController::localController_s->doRelease(firemode);
-        orxout() << "Trigger " << firemode << endl;
-    }
-
-    /void NewHumanController::doRelease(unsigned int firemode)
-    {
-        // this->firemode_ = -1; (outdated code from unfire)
-        // hideArrows();
+        }
+    }
+
+    void NewHumanController::doRelease(unsigned int firemode)
+    {
+        orxout() << "do release nhc" << firemode << endl;
         if (!this->controllableEntity_)
             return;
@@ -311,5 +306,5 @@
 
         HumanController::doRelease(firemode); //call for formationflight
-    }*/
+    }
 
     void NewHumanController::hit(Pawn* originator, btManifoldPoint& contactpoint, float damage)
Index: code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.h
===================================================================
--- code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.h	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.h	(revision 11166)
@@ -55,6 +55,5 @@
 
             virtual void doFire(unsigned int firemode) override;
-            /*virtual void release(unsigned int firemode);
-            virtual void doRelease(unsigned int firemode);*/
+            virtual void doRelease(unsigned int firemode) override;
 
             virtual void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage) override;
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/Weapon.cc	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/Weapon.cc	(revision 11166)
@@ -114,4 +114,5 @@
         // Note: The reloading of each WeaponMode is internally handled by each A, B and C.
         //       The reloading of the weapon is only performed to avoid firing with different modes at the same time.
+        orxout() << "fire weapon " << mode << endl;
         if (this->bReloading_ && this->reloadingWeaponmode_ != mode)
             return;
@@ -135,5 +136,25 @@
 
     void Weapon::release(unsigned int mode)
-    {orxout() << "release weapon " << mode << endl;}
+    {
+        orxout() << "release weapon " << mode << endl;
+        if (this->bReloading_ && this->reloadingWeaponmode_ != mode)
+            return;
+
+        std::multimap<unsigned int, WeaponMode*>::iterator start = this->weaponmodes_.lower_bound(mode);
+        std::multimap<unsigned int, WeaponMode*>::iterator end   = this->weaponmodes_.upper_bound(mode);
+
+        for (std::multimap<unsigned int, WeaponMode*>::iterator it = start; it != end; ++it)
+        {
+            float reloading_time = 0;
+            if (it->second->release(&reloading_time))
+            {
+                this->bReloading_ = true;
+                this->reloadingWeaponmode_ = mode;
+
+                this->reloadTimer_.setInterval(reloading_time);
+                this->reloadTimer_.startTimer();
+            }
+        }
+    }
 
     /**
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.cc	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.cc	(revision 11166)
@@ -121,5 +121,5 @@
     {
         (*reloadTime) = this->reloadTime_;
-        
+        orxout() << "fire wm " << reloadTime << endl;
         // Fireing is only possible if this weapon mode is not reloading and there is enough munition
         if (!this->bReloading_ && this->munition_ && this->munition_->takeMunition(this->munitionPerShot_, this))
@@ -169,6 +169,9 @@
     }
 
-    void WeaponMode::release(float* reloadTime)
-    {orxout() << "release wmode " << reloadTime << endl;}
+    bool WeaponMode::release(float* reloadTime)
+    {
+        orxout() << "release wm " << reloadTime << endl;
+        return false;
+    }
 
     bool WeaponMode::reload()
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.h
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.h	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.h	(revision 11166)
@@ -58,5 +58,5 @@
 
             virtual bool fire(float* reloadTime);
-            virtual void release(float* reloadTime);
+            virtual bool release(float* reloadTime);
             bool reload();
 
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponPack.cc	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponPack.cc	(revision 11166)
@@ -76,4 +76,5 @@
     void WeaponPack::fire(unsigned int weaponmode)
     {
+        orxout() << "fire wp " << weaponmode << endl;
         for (Weapon* weapon : this->weapons_)
             weapon->fire(weaponmode);
@@ -82,7 +83,7 @@
     void WeaponPack::release(unsigned int weaponmode)
     {
+        orxout() << "release wp " << weaponmode << endl;
         for (Weapon* weapon : this->weapons_)
             weapon->release(weaponmode);
-        orxout() << "release wpack " << weaponmode << endl;
     }
 
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSet.cc	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSet.cc	(revision 11166)
@@ -63,4 +63,5 @@
     {
         // Fire all WeaponPacks with their defined weaponmode
+        orxout() << "fire wset " << endl;
         for (const auto& mapEntry : this->weaponpacks_)
             if (mapEntry.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
@@ -70,11 +71,9 @@
     void WeaponSet::release()
     {
-        
         // Fire all WeaponPacks with their defined weaponmode
+        orxout() << "release wset " << endl;
         for (const auto& mapEntry : this->weaponpacks_)
             if (mapEntry.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
                 mapEntry.first->release(mapEntry.second);
-        orxout() << "release wset " << endl;
-        
     }
 
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11166)
@@ -289,4 +289,5 @@
     void WeaponSystem::fire(unsigned int firemode)
     {
+        orxout() << "fire wsys " << firemode << endl;
         std::map<unsigned int, WeaponSet *>::iterator it = this->weaponSets_.find(firemode);
         if (it != this->weaponSets_.end() && it->second)
@@ -296,8 +297,8 @@
     void WeaponSystem::release(unsigned int firemode)
     {
+        orxout() << "release wsys " << firemode << endl;
         std::map<unsigned int, WeaponSet *>::iterator it = this->weaponSets_.find(firemode);
         if (it != this->weaponSets_.end() && it->second)
             it->second->release();
-        orxout() << "release wsys " << firemode << endl;
     }
 
Index: code/branches/sagerjFS16/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/worldentities/ControllableEntity.cc	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/worldentities/ControllableEntity.cc	(revision 11166)
@@ -303,10 +303,10 @@
         if(GameMode::isMaster())
         {
-            orxout() << "f CE IF " << firemode << endl;
+            orxout() << "fire ce if " << firemode << endl;
             this->fired(firemode);
         }
         else
         {
-            orxout() << "f CE EL " << firemode << endl;
+            orxout() << "fire ce else " << firemode << endl;
             callMemberNetworkFunction(&ControllableEntity::fire, this->getObjectID(), 0, firemode);
         }
@@ -317,10 +317,10 @@
         if(GameMode::isMaster())
         {
-            orxout() << "r CE IF " << firemode << endl;
+            orxout() << "release ce if " << firemode << endl;
             this->released(firemode);
         }
         else
         {
-            orxout() << "r CE EL " << firemode << endl;
+            orxout() << "release ce else " << firemode << endl;
             callMemberNetworkFunction(&ControllableEntity::fire, this->getObjectID(), 0, firemode);
         }
Index: code/branches/sagerjFS16/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11166)
@@ -430,6 +430,14 @@
     void Pawn::fired(unsigned int firemode)
     {
+        orxout() << "fired pawn " << firemode << endl;
         if (this->weaponSystem_)
             this->weaponSystem_->fire(firemode);
+    }
+
+    void Pawn::released(unsigned int firemode)
+    {
+        orxout() << "released pawn " << firemode << endl;
+        if (this->weaponSystem_)
+            this->weaponSystem_->release(firemode);
     }
 
Index: code/branches/sagerjFS16/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/sagerjFS16/src/orxonox/worldentities/pawns/Pawn.h	(revision 11165)
+++ code/branches/sagerjFS16/src/orxonox/worldentities/pawns/Pawn.h	(revision 11166)
@@ -158,4 +158,5 @@
 
             virtual void fired(unsigned int firemode) override;
+            virtual void released(unsigned int firemode) override;
             virtual void postSpawn();
 